### A free/open-source library for quantitative finance

Public Types | Static Public Member Functions
DefaultDensity Struct Reference

Default-density-curve traits. More...

`#include <ql/termstructures/credit/probabilitytraits.hpp>`

List of all members.

## Public Types

typedef BootstrapHelper < DefaultProbabilityTermStructure > | helper

## Static Public Member Functions

static Date | initialDate (const DefaultProbabilityTermStructure *c)
static Real | initialValue (const DefaultProbabilityTermStructure *)
template<class C >
static Real | guess (Size i, const C *c, bool validData, Size)
template<class C >
static Real | minValueAfter (Size i, const C *c, bool validData, Size)
template<class C >
static Real | maxValueAfter (Size i, const C *c, bool validData, Size)
static void | updateGuess (std::vector< Real > &data, Real density, Size i)
static Size | maxIterations ()

## Detailed Description

Default-density-curve traits.